Swish::getMetaList
Swish::prepare
Swish Functions
PHP Manual

# Swish::getPropertyList

(PECL swish >= 0.1.0)

Swish::getPropertyList — Get the list of properties for the index

### Description

array Swish::getPropertyList ( string `$index_name` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`index_name`

  The name of the index file.

### Return Values

Returns an array of properties for the given index.

### Examples

Example #1 Basic Swish::getPropertyList() example

`<?php
try {
$swish = new Swish("index.swish-e");
$properties = $swish->getPropertyList("index.swish-e");
foreach ($properties as $prop) {
echo $prop["Name"],"\n";
}
} catch (SwishException $e) {
echo $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    swishreccount
    swishrank
    swishfilenum
    swishdbfile
    swishdocpath
    swishtitle
    swishdocsize
    swishlastmodified

Swish::getMetaList
Swish::prepare
Swish Functions
PHP Manual